> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/llms.txt)

# Retrieve a List of Pages

> GET /profiles/{profile_id}/pages



## Servers
- https://api.iformbuilder.com/exzact/api/v81/[servername]: https://api.iformbuilder.com/exzact/api/v81/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile


### Query parameters

- **fields** (string)
  extra information of each page on the list

- **limit** (number)
  maximum count of the profile list

- **offset** (number)
  skip that many pages before beginning to return

- **validate_grammar** (string)
  returns an error for incorrect field grammar when set to true

- **all_fields** (boolean)
  will show all fields for each page

- **exclude** (string)
  will exclude specified fields



## Responses
### 200
OK
#### Headers

- **Total-Count** (string)


#### Body: application/json (object)
- **id** (number)

- **name** (string)

- **permissions** (object)

- **permissions.modify** (boolean)

- **permissions.view** (boolean)

- **permissions.collect** (boolean)

- **permissions.shared** (boolean)

- **permissions.shared-subform** (boolean)

- **permissions.shared-lookup** (boolean)

- **global_id** (string)

- **label** (string)

- **description** (string)

- **version** (number)

- **created_date** (string)

- **created_by: `demo_user`** (string)

- **modified_date** (string)

- **modified_by: `demo_user`** (string)

- **is_disabled** (boolean)

- **reference_id_1** (string)

- **reference_id_2** (string)

- **reference_id_3** (string)

- **reference_id_4** (string)

- **reference_id_5** (string)

- **icon** (string)

- **sort_order** (number)

- **page_javascript** (string)

- **label_icons** (string)


### 400
Bad Request - `limit` or `offset` is not an integer.

#### Body: application/json (object)
- **error_message** (string)
  human-readable reason for the failure



[Powered by Bump.sh](https://bump.sh)
